flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aljos...@apache.org
Subject flink git commit: [release-infra] Add releasing/update_branch_version.sh script
Date Mon, 07 Aug 2017 12:59:55 GMT
Repository: flink
Updated Branches:
  refs/heads/master c26c2e7b5 -> 0936dd045


[release-infra] Add releasing/update_branch_version.sh script


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/0936dd04
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/0936dd04
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/0936dd04

Branch: refs/heads/master
Commit: 0936dd0450b782b7d676bd0f47abf6b4ffc04994
Parents: c26c2e7
Author: Aljoscha Krettek <aljoscha.krettek@gmail.com>
Authored: Fri Aug 4 14:23:29 2017 +0200
Committer: Aljoscha Krettek <aljoscha.krettek@gmail.com>
Committed: Mon Aug 7 14:59:08 2017 +0200

----------------------------------------------------------------------
 tools/releasing/update_branch_version.sh | 54 +++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/0936dd04/tools/releasing/update_branch_version.sh
----------------------------------------------------------------------
diff --git a/tools/releasing/update_branch_version.sh b/tools/releasing/update_branch_version.sh
new file mode 100755
index 0000000..ca15798
--- /dev/null
+++ b/tools/releasing/update_branch_version.sh
@@ -0,0 +1,54 @@
+#!/usr/bin/env bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+##
+## Variables with defaults (if not overwritten by environment)
+##
+OLD_VERSION=${OLD_VERSION:-1.4-SNAPSHOT}
+NEW_VERSION=${NEW_VERSION:-1.5-SNAPSHOT}
+MVN=${MVN:-mvn}
+
+# fail immediately
+set -o errexit
+set -o nounset
+# print command before executing
+set -o xtrace
+
+CURR_DIR=`pwd`
+if [[ `basename $CURR_DIR` != "tools" ]] ; then
+  echo "You have to call the script from the tools/ dir"
+  exit 1
+fi
+
+###########################
+
+cd ..
+
+#change version in all pom files
+find . -name 'pom.xml' -type f -exec perl -pi -e 's#<version>'$OLD_VERSION'</version>#<version>'$NEW_VERSION'</version>#'
{} \;
+
+#change version of documentation
+cd docs
+perl -pi -e "s#^version: .*#version: \"${NEW_VERSION}\"#" _config.yml
+perl -pi -e "s#^version_short: .*#version_short: \"${NEW_VERSION}\"#" _config.yml
+cd ..
+
+git commit -am "Update version to $NEW_VERSION"
+
+echo "Don't forget to push the change."


Mime
View raw message